Get exotic token price history from Cryptoslam

/v4/data/marketplace/cryptoslam/token/price/exotic/history

50 credits per API call

Returns token prices, FDV, liquidity and lookback percentage change quoted in any token at a historical block or timestamp.

Rules:

  • Provide either symbols or addresses, not both.
  • Max 30 entries for either parameter (pipe-delimited or comma separated).
  • Provide either quoteSymbol or quoteAddress for the quote token, not both.
  • Max 30 lookback periods (comma-separated or pipe-delimited minutes).

Supported blockchains:

  • Ethereum - ethereum-mainnet
  • Base - base-mainnet
Query Params
string
enum
required

The blockchain to work with.

Allowed:
string

Comma-separated or pipe-delimited list of token symbols (e.g., "BTC,ETH" or "BTC|ETH"). Maximum 30 symbols. Mutually exclusive with addresses.

string

Comma-separated or pipe-delimited list of token contract addresses (e.g., "0x123...,0x456..." or "0x123...|0x456..."). Maximum 30 addresses. Mutually exclusive with symbols.

string

Quote token symbol (e.g., "VADER", "USDC", "WETH").

string

Quote token contract address.

integer

Block number to retrieve prices at (inclusive).

date-time

UTC timestamp to retrieve prices at (inclusive). Overrides atBlockNumber if provided.

string

Comma-separated or pipe-delimited list of lookback periods in minutes (e.g., "30,45,60" or "30|45|60"). Maximum 30 periods. Returns percentage change for each specified period.

boolean
Defaults to false

When true, returns only the SLAM token cost for this query without performing the actual query.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json